Bug 224106 - packaging bugs
packaging bugs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cppunit (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-23 23:40 EST by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.12.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 06:10:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-01-23 23:40:10 EST
Description of problem:

# rpm -ql cppunit
...
/usr/share/aclocal/cppunit.m4
=> Belongs into *-devel (Devel should "require: automake" after it has been moved).

/usr/share/man/man1/cppunit-config.1.gz
... Documents cppunit-config from *-devel
=> Belongs into *-devel


# rpm -ql cppunit-devel
...
/usr/lib/pkgconfig/cppunit.pc
=> *-devel MUST require pkgconfig

...
/usr/lib/libcppunit.a
=> Should not be shipped.

Version-Release number of selected component (if applicable):
cppunit-1.12.0-2.fc6
Comment 1 Patrice Dumas 2007-01-29 06:10:33 EST
Thanks for the report. I rebuilt only in rawhide, I don't think
it is serious enough to update other branches.

Note You need to log in before you can comment on or make changes to this bug.